Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.internal.rule
Class RuleServiceHelperImpl

    java.lang.Object
      org.eclipse.emf.ecp.view.internal.rule.RuleServiceHelperImpl

All Implemented Interfaces:
  ViewModelService, RuleServiceHelper

    public class RuleServiceHelperImpl

extends Object
implements ViewModelService, RuleServiceHelper

Author:
  emueller

Constructor Summary
`RuleServiceHelperImpl()`

Method Summary
`void` | `dispose()` Dispose.
`
`<T extends VElement> Set<T>`
` | `getInvolvedEObjects(org.eclipse.emf.ecore.EStructuralFeature.Setting setting, Object newValue, Class<T> renderableClass)` Gets the involved `EObject`s that would be hidden or disabled if `newValue` would be set.
`int` | `getPriority()` Returns the priority for this view service.
`void` | `instantiate(ViewModelContext context)` Instantiate the view service.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RuleServiceHelperImpl

    public RuleServiceHelperImpl()

Method Detail

### instantiate

    public void instantiate(ViewModelContext context)

  Instantiate the view service.

  Specified by:
    `instantiate` in interface `ViewModelService`
  Parameters:
    `context` - the `ViewModelContext`
  See Also:
    `ViewModelService.instantiate(org.eclipse.emf.ecp.view.spi.context.ViewModelContext)`

### dispose

    public void dispose()

  Dispose.

  Specified by:
    `dispose` in interface `ViewModelService`
  See Also:
    `ViewModelService.dispose()`

### getPriority

    public int getPriority()

  Returns the priority for this view service.

  Specified by:
    `getPriority` in interface `ViewModelService`
  Returns:
    the priority
  See Also:
    `ViewModelService.getPriority()`

### getInvolvedEObjects

    public <T extends VElement> Set<T> getInvolvedEObjects(org.eclipse.emf.ecore.EStructuralFeature.Setting setting,
                                                           Object newValue,
                                                           Class<T> renderableClass)

  Gets the involved `EObject`s that would be hidden or disabled if `newValue` would be set.

  Specified by:
    `getInvolvedEObjects` in interface `RuleServiceHelper`
  Type Parameters:
    `T` - the type of the returned `EObject`s
  Parameters:
    `setting` - the current setting
    `newValue` - the new value which may be set
    `renderableClass` - the class type that has to be matched. Used for filtering the result set
  Returns:
    the involved `VElement`s that match the given type `T`
  See Also:
    `RuleServiceHelper.getInvolvedEObjects(org.eclipse.emf.ecore.EStructuralFeature.Setting, java.lang.Object, java.lang.Class)`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.